#include <iostream>
#include <string>
using namespace std;

int main()
{
  int n;
  cin>>n;
  string s;
  int broj_ga_kurvo=0;
  for(int i=0;i<n;i++)cin>>s[i];
  if(n<26)cout<<0;
  else if(n==26)cout<<1;
       else if(n==27)cout<<2;
            else if(n==28)cout<<4;
                 else if(n<=46)cout<<69;
                      else cout<<420;
  
    return 0;
}